Package: org.codehaus.groovy.classgen.asm

## [Java] Class OptimizingStatementWriter.StatementMeta

- org.codehaus.groovy.classgen.asm.OptimizingStatementWriter.StatementMeta

-     public static class OptimizingStatementWriter.StatementMeta
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected VariableExpression` | `declaredVariableExpression` |
    `protected boolean[]` | `involvedTypes` |
    `protected MethodNode` | `target` |
    `protected ClassNode` | `type` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `chainInvolvedTypes(OptimizeFlagsCollector opt)`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected VariableExpression declaredVariableExpression

    - #### protected boolean[] involvedTypes

    - #### protected MethodNode target

    - #### protected ClassNode type

  - ### Method Detail

    - #### public void chainInvolvedTypes(OptimizeFlagsCollector opt)

    - #### @Override
      public String toString()